Bug 13148 - openssl new security issues CVE-2014-0076 and CVE-2014-0160
: openssl new security issues CVE-2014-0076 and CVE-2014-0160
Status: RESOLVED FIXED
Product: Mageia
Classification: Unclassified
Component: Security
: 4
: i586 Linux
: Normal Severity: major
: ---
Assigned To: QA Team
: Sec team
: http://lwn.net/Vulnerabilities/593110/
: MGA3TOO has_procedure advisory mga3-3...
: validated_update
:
:
  Show dependency treegraph
 
Reported: 2014-04-04 18:00 CEST by David Walser
Modified: 2014-04-08 19:00 CEST (History)
4 users (show)

See Also:
Source RPM: openssl-1.0.1e-1.5.mga3.src.rpm, openssl-1.0.1e-8.2.mga4.src.rpm
CVE:


Attachments

Description David Walser 2014-04-04 18:00:02 CEST
OpenSuSE has issued an advisory today (April 4):
http://lists.opensuse.org/opensuse-updates/2014-04/msg00007.html

Patched packages uploaded for Mageia 3, Mageia 4, and Cauldron.

Advisory:
========================

Updated openssl packages fix security vulnerability:

The Montgomery ladder implementation in OpenSSL through 1.0.0l does not ensure
that certain swap operations have a constant-time behavior, which makes it
easier for local users to obtain ECDSA nonces via a FLUSH+RELOAD cache
side-channel attack (CVE-2014-0076).

References:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-0076
http://lists.opensuse.org/opensuse-updates/2014-04/msg00007.html
========================

Updated packages in core/updates_testing:
========================
openssl-1.0.1e-1.4.mga3
libopenssl-engines1.0.0-1.0.1e-1.4.mga3
libopenssl1.0.0-1.0.1e-1.4.mga3
libopenssl-devel-1.0.1e-1.4.mga3
libopenssl-static-devel-1.0.1e-1.4.mga3
openssl-1.0.1e-8.1.mga4
libopenssl-engines1.0.0-1.0.1e-8.1.mga4
libopenssl1.0.0-1.0.1e-8.1.mga4
libopenssl-devel-1.0.1e-8.1.mga4
libopenssl-static-devel-1.0.1e-8.1.mga4

from SRPMS:
openssl-1.0.1e-1.4.mga3.src.rpm
openssl-1.0.1e-8.1.mga4.src.rpm

Reproducible: 

Steps to Reproduce:
Comment 1 David Walser 2014-04-04 18:00:24 CEST
Testing procedure:
https://wiki.mageia.org/en/QA_procedure:Openssl
Comment 2 David Walser 2014-04-07 22:35:40 CEST
Version 1.0.1f has been released today (April 7) fixing another security issue:
http://openwall.com/lists/oss-security/2014/04/07/3

Updated package uploaded for Cauldron.

Patched packages uploaded for Mageia 3 and Mageia 4.

Advisory:
========================

Updated openssl packages fix security vulnerability:

The Montgomery ladder implementation in OpenSSL through 1.0.0l does not ensure
that certain swap operations have a constant-time behavior, which makes it
easier for local users to obtain ECDSA nonces via a FLUSH+RELOAD cache
side-channel attack (CVE-2014-0076).

A missing bounds check in the handling of the TLS heartbeat extension in
OpenSSL through 1.0.1f can be used to reveal up to 64k of memory to a
connected client or server (CVE-2014-0160).

References:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-0076
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-0160
http://www.openssl.org/news/secadv_20140407.txt
http://lists.opensuse.org/opensuse-updates/2014-04/msg00007.html
========================

Updated packages in core/updates_testing:
========================
openssl-1.0.1e-1.5.mga3
libopenssl-engines1.0.0-1.0.1e-1.5.mga3
libopenssl1.0.0-1.0.1e-1.5.mga3
libopenssl-devel-1.0.1e-1.5.mga3
libopenssl-static-devel-1.0.1e-1.5.mga3
openssl-1.0.1e-8.2.mga4
libopenssl-engines1.0.0-1.0.1e-8.2.mga4
libopenssl1.0.0-1.0.1e-8.2.mga4
libopenssl-devel-1.0.1e-8.2.mga4
libopenssl-static-devel-1.0.1e-8.2.mga4

from SRPMS:
openssl-1.0.1e-1.5.mga3.src.rpm
openssl-1.0.1e-8.2.mga4.src.rpm
Comment 3 claire robinson 2014-04-08 08:53:48 CEST
Testing complete mga4 32 & 64 using the procedure
https://wiki.mageia.org/en/QA_procedure:Openssl
Comment 4 claire robinson 2014-04-08 08:54:13 CEST
Advisory uploaded
Comment 5 claire robinson 2014-04-08 09:28:23 CEST
Testing complete mga3 32 & 64

Validating.

Could sysadmin please push to 3 & 4 updates

Thanks
Comment 6 Colin Guthrie 2014-04-08 09:47:58 CEST
OK, I'll attempt to do this now... need to learn!
Comment 7 Colin Guthrie 2014-04-08 10:06:37 CEST
OK, updates pushed.
Comment 8 claire robinson 2014-04-08 10:08:49 CEST
Thanks Colin. Thomas usually gives a link to the advisory too when he closes the bug.

http://advisories.mageia.org/MGASA-2014-0165.html
Comment 9 Colin Guthrie 2014-04-08 10:16:50 CEST
Ooops, thanks Claire, I missed that bit in the instructions (and another bit that I'm just completing now - next one will be smoother :))
Comment 10 Samuel Verschelde 2014-04-08 13:59:47 CEST
(In reply to David Walser from comment #2)
> Version 1.0.1f has been released today (April 7) fixing another security
> issue:
> http://openwall.com/lists/oss-security/2014/04/07/3
> 

According to that link it's 1.0.1g. I don't know if that makes the advisory wrong though.
Comment 11 David Walser 2014-04-08 14:23:19 CEST
(In reply to Samuel VERSCHELDE from comment #10)
> (In reply to David Walser from comment #2)
> > Version 1.0.1f has been released today (April 7) fixing another security
> > issue:
> > http://openwall.com/lists/oss-security/2014/04/07/3
> > 
> 
> According to that link it's 1.0.1g. I don't know if that makes the advisory
> wrong though.

Thanks for catching that.  The advisory was actually correct, luckily :o)
Comment 12 David Walser 2014-04-08 19:00:24 CEST
LWN reference for CVE-2014-0160:
http://lwn.net/Vulnerabilities/593861/

Note You need to log in before you can comment on or make changes to this bug.